/* General Styles */
body {
    font-family: Helvetica, sans-serif;

    background-color: black;
    background-image: url('background.jpg');
    color: white /*#333*/;
    
    margin: 0;
    padding: 0;
    /* 
    height: max-content;
    width: 100vw;
    overflow-x: hidden;

   display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;*/
  }

.button {
    border: none;
    border-radius: 5px;
    padding: 10px;
    cursor: pointer;
    background-color: rgba(255, 255, 255, 0.2);
    border: 1px solid black;
    color : white;
}
.button:hover{
    border: 1px solid white;
    background-color: rgba(255, 255, 255, 0.45);
}
a {
    color: white;
    text-decoration: none;
}



.separator {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 15px;
    margin: -30px 50px;
}

.separator::before,
.separator::after {
    content: "";
    flex: 1;
    height: 1px;
    background: white;
}
  
.card {
    border-radius: 5px;
    padding: 15px;
    margin: 50px;
    background-color: rgba(0, 0, 0, 0.6);
    backdrop-filter: blur(3px);
    box-shadow: 1px 0px 20px 0px black;
    border: white 1px solid;
}

/* Presentation Card Styles */

.project[status="private"] {
    display: none;
}

#me {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
}

#title {
    position: absolute;
    top: 2vh;
    width: 100vw;
    font-size: x-large;
    text-align: center;
    color:white;
    font-family : monospace;
}

#socialNetworks button {
   font-size: larger;
    margin: 0px 3px;
}

#profilePicture {
    width: 150px;
    height: 150px;
    border-radius: 50%;
    margin-left: 20px;
}

/* Project Card Styles */
name {
    font-size: 2em;
    margin-block-start: 1em;
    margin-block-end: 1em;
    margin-inline-start: 0px;
    margin-inline-end: 0px;
    font-weight: bold;

}
description {
    display: block;
    margin-block-start: 1em;
    margin-block-end: 1em;
    margin-inline-start: 0px;
    margin-inline-end: 0px;
    unicode-bidi: isolate;
    
    text-indent: 40px;
}
.status{
    position: absolute;
    top: 10px;
    right: 20px;
    color: rgba(255, 255, 255, 0.5);
    font-weight: bold;
}
.date {
    display: flex;
    color: rgba(255, 255, 255, 0.5);
    flex-direction: row;
    justify-content: flex-end;
    padding-right: 10px;
    margin-top: -20px;
    font-weight: bold;
}

.cta {
    color: black;
    background-color: white;
    margin: 0px 20px;
    display: block;
    width: 200px;
    text-align: center;
    padding: 15px;
    font-weight: bold;
}
.cta:hover {
    color: black;
    background-color: white;
    box-shadow: 1px 0px 20px 0px white;
}


.scroll {
    display: flex;
    overflow: scroll;
}
.scroll img {
    margin: 10px;
    border-radius: 5px;
}
img, video {
    border-radius: 5px;
}

/* Changer la couleur de la barre de scroll */
/* La piste (le fond de la barre) */
body::-webkit-scrollbar-track {
    background: transparent; 
}
body {
    /* "auto" permet de garder la barre visible mais sans encombrer, 
       "thin" rend la barre plus fine */
    scrollbar-width: thin; 
    
    /* Couleur du curseur et de la piste (curseur | piste) */
    scrollbar-color: grey transparent; 
}